#!/bin/sh
#Obtain CA from GRDH Products
INPUTDIR=$1	#Top directory with a GRDH Subirectory


cd $INPUTDIR/GRDH

if [ ! -d ../CA ]; then
	mkdir ../CA
fi

for f in $(find . -type f -name '*.zip')
do
	cd $INPUTDIR/CA
	echo $f
  
	Z1=$(echo $f | cut -d "_" -f1,2)
	Z2=$(echo $f | cut -d "_" -f3,4,5,6,7 | cut -d "." -f1)
        echo $Z1
	echo $Z2

	ZIPFILE=$Z1"_GRDHCA_"$Z2.zip
	echo $ZIPFILE
	if [ ! -e $ZIPFILE ]; then
		unzip ../GRDH/$f
		DIRNAME=$(echo $f | cut -d "." -f1,2)
		echo $DIRNAME
		python $HOME/Dev/GeoSentinel/examples/ca_geo.py $DIRNAME.SAFE
		PCA=$(ls -d S1*_GRDHCA_* -t |head -1)
                echo $PCA
		PCA=$(echo $PCA | cut -d "." -f1)
		echo $PCA 
		zip -r $PCA.zip $PCA.tif

		rm -r *.tif
                rm -r *.SAFE

	fi
	cd $INPUTDIR/GRDH
#	break
done


